質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Anaconda

Anacondaは、Python本体とPythonで利用されるライブラリを一括でインストールできるパッケージです。環境構築が容易になるため、Python開発者間ではよく利用されており、商用目的としても利用できます。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

解決済

仮想環境構築してtensorflowを使いたいがnumpyでエラー

solo1987
solo1987

総合スコア0

Anaconda

Anacondaは、Python本体とPythonで利用されるライブラリを一括でインストールできるパッケージです。環境構築が容易になるため、Python開発者間ではよく利用されており、商用目的としても利用できます。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

1回答

0評価

0クリップ

3898閲覧

投稿2019/01/14 05:27

編集2022/01/12 10:58

前提・実現したいこと

VisualStudioCodeでAnaconda仮想環境構築してtensorflow,kerasを使用したいと思い環境構築しています。
tensorflowのインストールは完了していますが、tensorflowが利用できません。。

発生している問題・エラーメッセージ

import tensorflow as tf 上記コマンドでエラー >>> import tensorflow as tf Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/__init__.py", line 24, in <module> from tensorflow.python import * File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/__init__.py", line 49, in <module> import numpy as np File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/__init__.py", line 142, in <module> from . import core File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/__init__.py", line 59, in <module> from . import numeric File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/numeric.py", line 3093, in <module> from . import fromnumeric File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/fromnumeric.py", line 17, in <module> from . import _methods File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/_methods.py", line 158, in <module> _NDARRAY_ARRAY_FUNCTION = mu.ndarray.__array_function__ AttributeError: type object 'numpy.ndarray' has no attribute '__array_function__'

該当のソースコード

(py36) Takenori:bin takenori$ pip list | grep tensor tensorboard 1.12.2 tensorflow 1.12.0 tensorflow-gpu 1.1.0 (py36) Takenori:bin takenori$ python3 -V Python 3.6.6 :: Anaconda, Inc. (py36) Takenori:bin takenori$ python -V Python 3.6.6 :: Anaconda, Inc. (py36) Takenori:bin takenori$ python Python 3.6.6 |Anaconda, Inc.| (default, Jun 28 2018, 11:07:29) [GCC 4.2.1 Compatible Clang 4.0.1 (tags/RELEASE_401/final)] on darwin Type "help", "copyright", "credits" or "license" for more information. >>> import tensorflow as tf Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/__init__.py", line 24, in <module> from tensorflow.python import * File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/tensorflow/python/__init__.py", line 49, in <module> import numpy as np File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/__init__.py", line 142, in <module> from . import core File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/__init__.py", line 59, in <module> from . import numeric File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/numeric.py", line 3093, in <module> from . import fromnumeric File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/fromnumeric.py", line 17, in <module> from . import _methods File "/Applications/anaconda3/envs/py36/lib/python3.6/site-packages/numpy/core/_methods.py", line 158, in <module> _NDARRAY_ARRAY_FUNCTION = mu.ndarray.__array_function__ AttributeError: type object 'numpy.ndarray' has no attribute '__array_function__'

イメージ説明
イメージ説明
イメージ説明
イメージ説明
イメージ説明

試したこと

補足情報(FW/ツールのバージョンなど)

仮想環境を抜けてAnacondaで実行するとnumpyのimportは問題なく通ります。
from . import corという箇所でエラーになっているようです

ここにより詳細な情報を記載してください。

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

y_waiwai
y_waiwai

2019/01/14 05:35

エラーが出るなら、エラーメッセージを提示してください
quickquip
quickquip

2019/01/14 06:02

エラーを読みましたか\? 失敗しているのは import numpy as np ですので、まずpythonのプロンプトから直に import numpy して同じエラーになるのか確認してください。エラーが出るようなら質問、タイトル、タグを修正することをお奨めします。特にVisualStudioCodeがなにも関係ないのがよくありません。
solo1987
solo1987

2019/01/14 06:04

エラーメッセージはこちらになります。 >>> import tensorflow as tf Traceback \(most recent call last\): File "<stdin>", line 1, in <module> File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/__init__\.py", line 24, in <module> from tensorflow\.python import \* File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/__init__\.py", line 49, in <module> import numpy as np File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/numpy/__init__\.py", line 142, in <module> from \. import core File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/numpy/core/__init__\.py", line 59, in <module> from \. import numeric File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/numpy/core/numeric\.py", line 3093, in <module> from \. import fromnumeric File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/numpy/core/fromnumeric\.py", line 17, in <module> from \. import _methods File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/numpy/core/_methods\.py", line 158, in <module> _NDARRAY_ARRAY_FUNCTION = mu\.ndarray\.__array_function__ AttributeError: type object 'numpy\.ndarray' has no attribute '__array_function__'
solo1987
solo1987

2019/01/14 06:06

回答ありがとうございます。また分かりづらくすみません。sample\.pyは実行しておらず、下のターミナルで(py36というAnacondaのvirtualenv)で実行しているimport tensorflowでエラーとなっています。 import numpyでエラーになっているわけではないです。
quickquip
quickquip

2019/01/14 06:08

そのメッセージをあなたは読んだのですか\? 読みもせずに質問したのではないですか\? と言っているのですが。
quickquip
quickquip

2019/01/14 06:14

"import numpyでエラーになっているわけではないです。 " import numpy がエラーになってますよね\?
solo1987
solo1987

2019/01/14 06:19

AttributeError: type object 'numpy\.ndarray' has no attribute '__array_function__' がエラーメッセージだとは思っており調査はしていますが難航しています。 また途中でFile "<stdin>", line 1, in <module>なども出ていますね。 失礼しました、もう少し自分で1行1行ググってみます。
quickquip
quickquip

2019/01/14 06:26

エラーの中に File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/__init__\.py", line 49, in <module> import numpy as np という2行がありますよよね\? tensorflowがnumpyをインポートしようとした時にエラーが起きています。ですから、同じ環境で import numpy とした時に同じエラーがでるはずですが、そうではないですか\?
solo1987
solo1987

2019/01/14 06:28

はい、確かにimport numpyコマンドを打っても同じメッセージが表示されます。
quickquip
quickquip

2019/01/14 06:42

編集ありがとうございます。AnacondaやVSCodeでの実行にはなじみがないため、エラーの内容そのものにはまったく心当たりがなくお力にはなれずすみません。
tiitoi
tiitoi

2019/01/14 10:32

import numpy 単体でもエラーになるなら、とりあえず一旦 numpy をアンインストールして、インストールし直してはどうでしょうか
solo1987
solo1987

2019/01/14 11:11

ありがとうございます。 numpyの再インストールでimport numpyは通るようになりました。 ただ、tensorflowは相変わらずimportでエラーになります。。 エラー解析中です。。。
solo1987
solo1987

2019/01/14 11:11

>>> import numpy >>> import tensorflow Traceback \(most recent call last\): File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/pywrap_tensorflow\.py", line 41, in <module> from tensorflow\.python\.pywrap_tensorflow_internal import \* File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/pywrap_tensorflow_internal\.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper\(\) File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/pywrap_tensorflow_internal\.py", line 24, in swig_import_helper _mod = imp\.load_module\('_pywrap_tensorflow_internal', fp, pathname, description\) File "/Applications/anaconda3/envs/py36/lib/python3\.6/imp\.py", line 243, in load_module return load_dynamic\(name, filename, file\) File "/Applications/anaconda3/envs/py36/lib/python3\.6/imp\.py", line 343, in load_dynamic return _load\(spec\) ImportError: dlopen\(/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/_pywrap_tensorflow_internal\.so, 10\): Library not loaded: @rpath/libcublas\.8\.0\.dylib Referenced from: /Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/_pywrap_tensorflow_internal\.so Reason: image not found During handling of the above exception, another exception occurred: Traceback \(most recent call last\): File "<stdin>", line 1, in <module> File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/__init__\.py", line 24, in <module> from tensorflow\.python import \* File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/__init__\.py", line 51, in <module> from tensorflow\.python import pywrap_tensorflow File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/pywrap_tensorflow\.py", line 52, in <module> raise ImportError\(msg\) ImportError: Traceback \(most recent call last\): File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/pywrap_tensorflow\.py", line 41, in <module> from tensorflow\.python\.pywrap_tensorflow_internal import \* File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/pywrap_tensorflow_internal\.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper\(\) File "/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/pywrap_tensorflow_internal\.py", line 24, in swig_import_helper _mod = imp\.load_module\('_pywrap_tensorflow_internal', fp, pathname, description\) File "/Applications/anaconda3/envs/py36/lib/python3\.6/imp\.py", line 243, in load_module return load_dynamic\(name, filename, file\) File "/Applications/anaconda3/envs/py36/lib/python3\.6/imp\.py", line 343, in load_dynamic return _load\(spec\) ImportError: dlopen\(/Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/_pywrap_tensorflow_internal\.so, 10\): Library not loaded: @rpath/libcublas\.8\.0\.dylib Referenced from: /Applications/anaconda3/envs/py36/lib/python3\.6/site-packages/tensorflow/python/_pywrap_tensorflow_internal\.so Reason: image not found Failed to load the native TensorFlow runtime\. See https://www\.tensorflow\.org/install/install_sources#common_installation_problems for some common reasons and solutions\. Include the entire stack trace above this error message when asking for help\. >>>
tiitoi
tiitoi

2019/01/14 11:15

libcublas\.8\.0 とか CUDA 関係のライブラリの読み込みに失敗しているのではないでしょうか? TensorFlow が要求する CUDA のライブラリがインストールされているか確認してください。\(CUDA もバージョンが複数あるので、バージョンまで一致している必要があります。\) この場合、CUDA 8 が要求されているように見えます。
solo1987
solo1987

2019/01/14 11:28

そのようですね。ありがとうございます。 いったんtensorflow-gpuをアンインストールすることでimportできるようになりました。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Anaconda

Anacondaは、Python本体とPythonで利用されるライブラリを一括でインストールできるパッケージです。環境構築が容易になるため、Python開発者間ではよく利用されており、商用目的としても利用できます。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。